Home | All Classes | Grouped Classes | Index | Search

# Class CL_RichEdit

RichEdit component More...

Derived from: CL_Component
Derived by: none
Group: GUI (Controls)

#include <ClanLib/gui.h>

Construction:

CL_RichEdit | RichEdit constructor

Attributes:

get_line | Returns the number of lines in the richedit.
get_total_lines_count | Returns the number of lines in the richedit.
get_top_item |
get_cursor_pos |

Operations:

add_text | Adds text string into the end of richedit's text.
add_img | Adds image into the end of richedit's text.
make_new_paragraph | Makes new paragraph after the end of richedit's text.
set_bounds |
set_top_item |
scroll_to_the_end |
clear_selection | Deselects current selected item.
on_resize | Should be called on each resize of the RichEdit window
select_all | If select is true, all items get selected, else all get unselected. This works only in Multi selection mode.
clear | Deletes all items in the list.

Signals:

sig_text_changed | This signal is emitted when a new item is added to the richedit.
sig_draw_from_changed | This signal is emitted when draw_from variable is changed
sig_clear | This signal is emitted when the richedit is cleared.

Detailed description:

!group=GUI/Controls! !header=gui.h!
Questions or comments, write to the ClanLib mailing list.